VantPay API Documentation
API Docs
API Docs
  1. Webhooks
  • Authentication
    • Authenticate
      POST
  • Virtual Account
    • Create Static Virtual Account
      POST
    • Create Dynamic Virtual Account
      POST
    • List Static Virtual Accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-transquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  • Transactions
    • List Transactions (and fetch by reference)
      GET
  • Wallet
    • Get Wallet Balance
      GET
  • Webhooks
    • Set Notification (Webhook) URL
      POST
    • Collection Notification (received by YOU, not called by you)
      POST
  • Schemas
    • AuthData
    • ApiResponseEnvelope
    • StaticAccountData
    • AuthenticateResponse
    • DynamicAccountData
    • VirtualAccountStatic
    • StaticAccountListItem
    • CreateStaticVirtualAccountResponse
    • Transaction
    • VirtualAccountDynamic
    • PagedStaticAccounts
    • CreateDynamicVirtualAccountResponse
    • PagedTransactions
    • VirtualAccountListItem
    • WalletBalanceData
    • CollectionNotification
    • PagedVirtualAccountList
    • ListStaticVirtualAccountsResponse
    • PagedTransactionList
    • ListTransactionsResponse
    • WalletBalance
    • WalletBalanceResponse
    • SetNotificationUrlResponse
    • WebhookCollectionPayload
  1. Webhooks

Set Notification (Webhook) URL

POST
/api/v1/virtual-accounts/set-notification-url

Register the HTTPS URL VantPay POSTs collection notifications to. Optional authToken is echoed as 'Authorization: Bearer ' on each notification so you can verify the source. See the CollectionNotification schema for the payload VantPay will send. Deduplicate on transactionRef.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Webhook URL saved.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://merchantapi-dev.vantpay.io/api/v1/virtual-accounts/set-notification-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "notificationUrl": "https://your-domain.example/webhooks/vantpay",
    "authToken": "string",
    "prefix": "string"
}'
Response Response Example
{
    "isSuccessful": true,
    "code": "00",
    "message": "Operation successful",
    "data": null
}
Modified at 2026-09-10 13:32:03
Previous
Get Wallet Balance
Next
Collection Notification (received by YOU, not called by you)
Built with